## labplot 1.6.0.1

=== cephes/CMakeLists.txt ===
set(cephes_SRC acosh.c fresnl.c incbi.c polevl.c stdtr.c airy.c const.c
gamma.c isnan.c log2.c polyn.c struve.c asinh.c dawsn.c gdtr.c iv.c psi.c
unity.c atanh.c ellie.c hyp2f1.c j0.c revers.c yn.c beta.c ellik.c hyperg.c
j1.c rgamma.c zeta.c cbrt.c ellpe.c i0.c jn.c round.c zetac.c ellpk.c i1.c
jv.c mtherr.c chbevl.c expn.c igam.c k0.c ndtr.c shichi.c chdtr.c fac.c
igami.c k1.c ndtri.c sici.c fdtr.c incbet.c kn.c pdtr.c spence.c )


add_library (LabPlotcephes SHARED ${cephes_SRC})

set_target_properties(LabPlotcephes PROPERTIES VERSION 1.5.0 SOVERSION 1 )

install(TARGETS LabPlotcephes DESTINATION lib)

=== qhull/Makefile ===
# Makefile.in generated by automake 1.9.6 from Makefile.am.
# KDE tags expanded automatically by am_edit - $Revision: 1.411 $ 
# qhull/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/LabPlot-1.6.0
pkglibdir = $(libdir)/LabPlot-1.6.0
pkgincludedir = $(includedir)/LabPlot-1.6.0
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c -p
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-suse-linux
host_triplet = i686-suse-linux
target_triplet = i686-suse-linux
bin_PROGRAMS = qdelaunay$(EXEEXT)
subdir = qhull
DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	COPYING
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/admin/mkinstalldirs
CONFIG_CLEAN_FILES =
am__installdirs = "$(DESTDIR)$(bindir)"
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
PROGRAMS = $(bin_PROGRAMS)
am_qdelaunay_OBJECTS = geom2.$(OBJEXT) geom.$(OBJEXT) global.$(OBJEXT) \
	io.$(OBJEXT) mem.$(OBJEXT) merge.$(OBJEXT) poly2.$(OBJEXT) \
	poly.$(OBJEXT) qdelaun.$(OBJEXT) qhull.$(OBJEXT) \
	qset.$(OBJEXT) stat.$(OBJEXT) user.$(OBJEXT)
#>- qdelaunay_OBJECTS = $(am_qdelaunay_OBJECTS)
#>+ 7
qdelaunay_final_OBJECTS = geom2.o geom.o global.o io.o mem.o merge.o poly2.o poly.o qdelaun.o qhull.o qset.o stat.o user.o 
qdelaunay_nofinal_OBJECTS = geom2.$(OBJEXT) geom.$(OBJEXT) global.$(OBJEXT) \
	io.$(OBJEXT) mem.$(OBJEXT) merge.$(OBJEXT) poly2.$(OBJEXT) \
	poly.$(OBJEXT) qdelaun.$(OBJEXT) qhull.$(OBJEXT) \
	qset.$(OBJEXT) stat.$(OBJEXT) user.$(OBJEXT)
qdelaunay_OBJECTS = $(qdelaunay_nofinal_OBJECTS)
#qdelaunay_OBJECTS = $(qdelaunay_final_OBJECTS)
qdelaunay_LDADD = $(LDADD)
DEFAULT_INCLUDES = -I. -I$(srcdir)
depcomp = $(SHELL) $(top_srcdir)/admin/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = $(qdelaunay_SOURCES)
ETAGS = etags
CTAGS = ctags
#>- DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
#>+ 1
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) $(KDE_DIST)
ACLOCAL = ${SHELL} /sw/LabPlot-1.6.0.1/admin/missing --run aclocal-1.9
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /sw/LabPlot-1.6.0.1/admin/missing --run tar
AR = ar
ARTSCCONFIG = /opt/kde3/bin/artsc-config
AUDIOFILE_DIR = 
AUDIOFILE_INCFLAGS = 
AUDIOFILE_LDFLAGS = -laudiofile
AUTOCONF = $(SHELL) $(top_srcdir)/admin/cvs.sh configure || touch configure
AUTODIRS = 
AUTOHEADER = ${SHELL} /sw/LabPlot-1.6.0.1/admin/missing --run autoheader
AUTOMAKE = ${SHELL} /sw/LabPlot-1.6.0.1/admin/missing --run automake-1.9
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CDF_INCFLAGS = 
CDF_LDFLAGS = 
CFLAGS =   -Wall
CONF_FILES = 
CPP = gcc -E
CPPFLAGS =  -DQT_THREAD_SUPPORT  -D_REENTRANT
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -Wnon-virtual-dtor -Wno-long-long -Wundef -Wall -W -Wpointer-arith -Wwrite-strings -Wall -Wno-deprecated -fno-check-new -fno-common
CYGPATH_W = echo
DCOPIDL = /opt/kde3/bin/dcopidl
DCOPIDL2CPP = /opt/kde3/bin/dcopidl2cpp
DCOPIDLNG = 
DCOP_DEPENDENCIES = $(DCOPIDL)
DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DLVERSION=\"1.6.0\" -DLVERSION_DATE=\"Dec\ 17,\ 2007\" -DHAVE_STRTOD=1 -DHAVE_LOG2=1 -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_TIFF=1 -DHAVE_GSL=1 -DHAVE_GSL14=1 -DHAVE_GSL16=1 -DHAVE_GSL17=1 -DGSL_DISABLE_DEPRECATED=1 -DHAVE_GSL18=1 -DHAVE_FFTW3=1 -DHAVE_FFTW3_THREADS=1 -DHAVE_JASPER=1 -DHAVE_MAGICK=1 -DHAVE_QSA=1 -DHAVE_QSA_IDE=1 -DHAVE_QSA_FAC=1 -DHAVE_NETCDF=1 -DHAVE_AUDIOFILE=1 -DHAVE_HDF5=1 -DHAVE_GL=1 -DHAVE_R=1 -DHAVE_QHULL=1 -DKDELIBSUFF=\"\" -DHAVE_DLFCN_H=1 -DHAVE_SGI_STL=1 -DHAVE_CRYPT=1 -Dkde_socklen_t=socklen_t -Dksize_t=socklen_t -DHAVE_SYS_TYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_SYS_BITYPES_H=1 -DHAVE_RES_INIT=1 -DHAVE_RES_INIT=1 -DHAVE_RES_INIT_PROTO=1 -DSIZEOF_INT=4 -DSIZEOF_SHORT=2 -DSIZEOF_LONG=4 -DSIZEOF_CHAR_P=4 -DSIZEOF_SIZE_T=4 -DSIZEOF_UNSIGNED_LONG=4 -DHAVE_VSNPRINTF=1 -DHAVE_SNPRINTF=1 -DHAVE_LIBZ=1 -DHAVE_LIBPNG=1 -DHAVE_LIBJPEG=1 -DHAVE_LIBPTHREAD=1 -DSTDC_HEADERS=1 
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
ENABLE_PERMISSIVE_FLAG = -fpermissive
EXEEXT = 
F77 = g77
FFLAGS = -g
FFTW3_LDFLAGS = -lfftw3 -lfftw3_threads -lpthread
FFTW_LDFLAGS = 
FRAMEWORK_COREAUDIO = 
GL_LDFLAGS = -lGL -lGLU
GMSGFMT = /usr/bin/msgfmt
GSL_CFLAGS = -I/usr/local/include
GSL_CONFIG = /usr/local/bin/gsl-config
GSL_LDFLAGS = -lgsl -lgslcblas
GSL_LIBS = -L/usr/local/lib -lgsl -lgslcblas -lm
HDF5_LDFLAGS = -lhdf5
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL} $(INSTALL_STRIP_FLAG)
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
JASPER_LDFLAGS = -ljasper
KCFG_DEPENDENCIES = 
KCONFIG_COMPILER = 
KDECONFIG = /opt/kde3/bin/kde-config
KDE_EXTRA_RPATH = 
KDE_INCLUDES = -I/opt/kde3/include
KDE_LDFLAGS = -L/opt/kde3/lib
KDE_MT_LDFLAGS = 
KDE_MT_LIBS = -lpthread
KDE_NO_UNDEFINED = 
KDE_PLUGIN = -avoid-version -module -no-undefined $(KDE_NO_UNDEFINED) $(KDE_RPATH) $(KDE_MT_LDFLAGS)
KDE_RPATH = -R $(kde_libraries) -R $(qt_libraries) -R $(x_libraries)
KDE_USE_CLOSURE_FALSE = 
KDE_USE_CLOSURE_TRUE = #
KDE_USE_FINAL_FALSE = 
KDE_USE_FINAL_TRUE = #
KDE_USE_NMCHECK_FALSE = 
KDE_USE_NMCHECK_TRUE = #
KDE_XSL_STYLESHEET = /opt/kde3/share/apps/ksgmltools2/customization/kde-chunk.xsl
KEXIDB_INCFLAGS = 
KEXIDB_LDFLAGS = 
LDFLAGS = 
LIBCOMPAT = 
LIBCRYPT = -lcrypt
LIBDL = -ldl
LIBJPEG = -ljpeg
LIBOBJS = 
LIBORIGIN_INCFLAGS = 
LIBORIGIN_LDFLAGS = -lorigin
LIBPNG = -lpng -lz -lm
LIBPTHREAD = -lpthread
LIBRESOLV = -lresolv
LIBS = 
LIBSM = -lSM -lICE
LIBSOCKET = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBUCB = 
LIBUTIL = -lutil
LIBZ = -lz
LIB_KAB = -lkab
LIB_KABC = -lkabc
LIB_KDECORE = -lkdecore
LIB_KDEPIM = -lkdepim
LIB_KDEPRINT = -lkdeprint
LIB_KDEUI = -lkdeui
LIB_KFILE = -lkio
LIB_KFM = 
LIB_KHTML = -lkhtml
LIB_KIO = -lkio
LIB_KPARTS = -lkparts
LIB_KSPELL = -lkspell
LIB_KSYCOCA = -lkio
LIB_KUTILS = -lkutils
LIB_POLL = 
LIB_QPE = 
LIB_QT = -lqt-mt  $(LIBZ) $(LIBPNG) -lXext $(LIB_X11) $(LIBSM) -lpthread
LIB_SMB = -lsmb
LIB_X11 = -lX11 $(LIBSOCKET)
LIB_XEXT = -lXext
LIB_XRENDER = 
LN_S = ln -s
LTLIBOBJS = 
MAGICK = yes
MAGICK_INCFLAGS = `Magick++-config --cppflags`
MAGICK_LDFLAGS = `Magick++-config --ldflags --libs`
MAKEINFO = ${SHELL} /sw/LabPlot-1.6.0.1/admin/missing --run makeinfo
MCOPIDL = /opt/kde3/bin/mcopidl
MEINPROC = /opt/kde3/bin/meinproc
MOC = /usr/lib/qt3/bin/moc
MSGFMT = /usr/bin/msgfmt
NETCDF_DIR = 
NETCDF_INCFLAGS = 
NETCDF_LDFLAGS = -lnetcdf
NOOPT_CFLAGS = -O0
NOOPT_CXXFLAGS = -O0
OBJEXT = o
OCAML = -
PACKAGE = LabPlot-1.6.0
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PERL = /usr/bin/perl
PS2EPS = yes
PS2PDF = yes
PSTOEDIT = yes
QHULL = using system version.
QHULL_DIR = 
QSA_LDFLAGS = -L/usr/lib -lqsa
QTE_NORTTI = 
QT_INCLUDES = -I/usr/lib/qt3/include
QT_LDFLAGS = -L/usr/lib/qt3/lib
QWT3D_DIR = qwtplot3d
QWT3D_INCFLAGS = -I../qwtplot3d/
QWT3D_LDFLAGS = ../qwtplot3d/libLabPlotqwtplot3d.la
RANLIB = ranlib
R_INCFLAGS = -I/usr/local/lib/R/include
R_LDFLAGS = -L/usr/local/lib/R/lib -lR
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
TEXVC = yes
TEXVC_DIR = 
TIFF_LDFLAGS = -ltiff
TOPSUBDIRS =  cephes doc examples src
UIC = /usr/lib/qt3/bin/uic -L $(kde_widgetdir) -nounload
UIC_TR = tr2i18n
USER_INCLUDES = 
USER_LDFLAGS = 
USE_EXCEPTIONS = -fexceptions
USE_RTTI = 
USE_THREADS = 
VERSION = 0
WOVERLOADED_VIRTUAL = 
XGETTEXT = /usr/bin/xgettext
XMLLINT = /usr/bin/xmllint
X_EXTRA_LIBS = 
X_INCLUDES = -I/usr/X11R6/include
X_LDFLAGS = -L/usr/X11R6/lib
X_PRE_LIBS = 
X_RPATH = -R $(x_libraries)
YACC = bison -y
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = 
ac_ct_F77 = g77
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
all_includes = -I/opt/kde3/include -I/usr/lib/qt3/include -I/usr/X11R6/include 
all_libraries = -L/usr/X11R6/lib -L/usr/lib/qt3/lib -L/opt/kde3/lib 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-suse-linux
build_alias = 
build_cpu = i686
build_os = linux
build_vendor = suse
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = i686-suse-linux
host_alias = 
host_cpu = i686
host_os = linux
host_vendor = suse
include_ARTS_FALSE = #
include_ARTS_TRUE = 
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /sw/LabPlot-1.6.0.1/admin/install-sh
kde_appsdir = ${datadir}/applnk
kde_bindir = ${exec_prefix}/bin
kde_confdir = ${datadir}/config
kde_datadir = ${datadir}/apps
kde_htmldir = ${datadir}/doc/HTML
kde_icondir = ${datadir}/icons
kde_includes = /opt/kde3/include
kde_kcfgdir = ${datadir}/config.kcfg
kde_libraries = /opt/kde3/lib
kde_libs_htmldir = /opt/kde3/share/doc/HTML
kde_libs_prefix = /opt/kde3
kde_locale = ${datadir}/locale
kde_mimedir = ${datadir}/mimelnk
kde_moduledir = ${libdir}/kde3
kde_qtver = 3
kde_servicesdir = ${datadir}/services
kde_servicetypesdir = ${datadir}/servicetypes
kde_sounddir = ${datadir}/sounds
kde_styledir = ${libdir}/kde3/plugins/styles
kde_templatesdir = ${datadir}/templates
kde_wallpaperdir = ${datadir}/wallpapers
kde_widgetdir = /opt/kde3/lib/kde3/plugins/designer
kdeinitdir = $(kde_moduledir)
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
prefix = /opt/kde3
program_transform_name = s,x,x,
qt_includes = /usr/lib/qt3/include
qt_libraries = /usr/lib/qt3/lib
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target = i686-suse-linux
target_alias = 
target_cpu = i686
target_os = linux
target_vendor = suse
x_includes = /usr/X11R6/include
x_libraries = /usr/X11R6/lib
xdg_appsdir = ${datadir}/applications/kde
xdg_directorydir = ${datadir}/desktop-directories
xdg_menudir = ${sysconfdir}/xdg/menus
SOURCES = AUTO
qdelaunay_SOURCES = geom2.c geom.c global.c io.c mem.c merge.c \
poly2.c poly.c qdelaun.c qhull.c qset.c stat.c user.c

qdelaunay_LDFLAGS = -lm
CLEANFILES = *~ *.o
#>- all: all-am
#>+ 1
all: docs-am  all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
#>- 	@for dep in $?; do \
#>- 	  case '$(am__configure_deps)' in \
#>- 	    *$$dep*) \
#>- 	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \

=== src/CMakeLists.txt ===
set(LabPlot_SRC qjp2io.cc qtiffio.cc parser.c
AddGraphDialog.cc AnnotateValues.cc ArrangePlotDialog.cc Arrow.cc AverageListDialog.cc AxesDialog.cc Axis.cc
CapabilityListDialog.cc ColormapReader.cc
CompressListDialog.cc ConfigureDialog.cc ConvolutionListDialog.cc CorrelationListDialog.cc
DataDialog.cc DestinationDialog.cc Dialog.cc DifferencesListDialog.cc Ellipse.cc
ExplorerDialog.cc ExplorerListView.cc ExportDialog.cc FFTListDialog.cc FileInfoDialog.cc FilterListDialog.cc
FilterAUDIOFILE.cc FilterNETCDF.cc FilterCDF.cc FilterHDF5.cc FilterMAGICK.cc FilterKexiDB.cc
FitListDialog.cc FunctionDialog.cc
Graph.cc Graph2D.cc Graph3D.cc Graph4D.cc GraphM.cc GraphIMAGE.cc GraphL.cc GraphList.cc GraphListView.cc
GraphListDialog.cc HankelListDialog.cc HistListDialog.cc History.cc InfoDialog.cc ImageListDialog.cc
ImageMagickDialog.cc ImportDialog.cc ImportOPJ.cc IntegrationListDialog.cc InterpolationListDialog.cc Label.cc 
LabPlotDialog.cc
LabPlotPart.cc Legend.cc LegendDialog.cc LImage.cc Line.cc ListDialog.cc ListPlotDialog.cc LRange.cc LTable.cc LTableItem.cc
MainWin.cc ModuleFactory.cc NoiseListDialog.cc
ObjectDialog.cc OperationsListDialog.cc OverlayPlotDialog.cc PeakListDialog.cc PeriodicListDialog.cc
Plot.cc Plot2D.cc Plot2DSimple.cc Plot2DSurface.cc Plot3D.cc PlotPie.cc PlotPolar.cc PlotTernary.cc PlotQWT3D.cc
PlotDialog.cc PlotSettingsDialog.cc
Point.cc Point3D.cc Point4D.cc PointL.cc Project.cc
ProjectDialog.cc PruneListDialog.cc PstoEditDialog.cc Rect.cc RegressionListDialog.cc RichTextWidget.cc RInterface.cc
SeasonalListDialog.cc SmoothListDialog.cc Spreadsheet.cc SpreadsheetPropertiesDialog.cc SpreadsheetValuesDialog.cc
Style.cc SummaryRListDialog.cc Symbol.cc TestsRListDialog.cc TitleDialog.cc WaveletListDialog.cc Worksheet.cc
WorksheetDialog.cc WrapperFactory.cc)

set(LabPlot_MOC_SRC AddGraphDialog.h ArrangePlotDialog.h AverageListDialog.h AxesDialog.h
CapabilityListDialog.h
CompressListDialog.h ConfigureDialog.h ConvolutionListDialog.h CorrelationListDialog.h
DataDialog.h DestinationDialog.h Dialog.h DifferencesListDialog.h
ExplorerDialog.h ExplorerListView.h ExportDialog.h FFTListDialog.h FileInfoDialog.h FilterListDialog.h
FitListDialog.h FunctionDialog.h GraphListView.h
GraphListDialog.h HankelListDialog.h HistListDialog.h ImageListDialog.h
ImageMagickDialog.h ImportDialog.h IntegrationListDialog.h InterpolationListDialog.h LabPlotDialog.h
LabPlotPart.h LegendDialog.h ListDialog.h ListPlotDialog.h LTable.h
MainWin.h NoiseListDialog.h
ObjectDialog.h OperationsListDialog.h OverlayPlotDialog.h PeakListDialog.h PeriodicListDialog.h
PlotDialog.h PlotSettingsDialog.h
ProjectDialog.h PruneListDialog.h PstoEditDialog.h RegressionListDialog.h RichTextWidget.h
SeasonalListDialog.h SmoothListDialog.h Spreadsheet.h SpreadsheetPropertiesDialog.h SpreadsheetValuesDialog.h
SummaryRListDialog.h TestsRListDialog.h TitleDialog.h WaveletListDialog.h Worksheet.h
WorksheetDialog.h WrapperFactory.h)

###################################################

LINK_DIRECTORIES(${KDE3_LIB_DIR} )

set (parser_FILE parser)

add_custom_command (OUTPUT ${parser_FILE}.c
                   COMMAND bison ARGS ${parser_FILE}.y
                   COMMAND mv ARGS ${parser_FILE}.tab.c ${parser_FILE}.c
                   WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})

# needs *.moc included
# KDE3_AUTOMOC()

add_definitions ('-DLVERSION=\"1.6.0.pre3\"')
add_definitions (${QT_DEFINITIONS} ${KDE3_DEFINITIONS})

QT_WRAP_CPP (LabPlot LabPlot_SRC ${LabPlot_MOC_SRC})

add_library (LabPlot SHARED ${LabPlot_SRC})
set_target_properties (LabPlot PROPERTIES VERSION 1.6.0 SOVERSION 1 )

add_executable (LabPlot_exe LabPlot.cc LabPlotSplash.cc)
set_target_properties (LabPlot_exe PROPERTIES OUTPUT_NAME LabPlot)
target_link_libraries (LabPlot_exe ${QT_LIBRARIES} ${KDE3_LIBRARIES} ${QT_AND_KDECORE_LIBS} -lkparts -lkdeprint -lLabPlot -lLabPlotcephes -lorigin ${GSL_LIBRARY})

=== texvc/Makefile ===
# Makefile.in generated by automake 1.9.6 from Makefile.am.
# KDE tags expanded automatically by am_edit - $Revision: 1.411 $ 
# texvc/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



#SOURCES = AUTO

srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/LabPlot-1.6.0
pkglibdir = $(libdir)/LabPlot-1.6.0
pkgincludedir = $(includedir)/LabPlot-1.6.0
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c -p
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-suse-linux
host_triplet = i686-suse-linux
target_triplet = i686-suse-linux
bin_PROGRAMS = texvc$(EXEEXT)
subdir = texvc
DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	COPYING
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/admin/mkinstalldirs
CONFIG_CLEAN_FILES =
am__installdirs = "$(DESTDIR)$(bindir)"
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
PROGRAMS = $(bin_PROGRAMS)
am_texvc_OBJECTS =
#>- texvc_OBJECTS = $(am_texvc_OBJECTS)
#>+ 1
texvc_OBJECTS = 
texvc_LDADD = $(LDADD)
DEFAULT_INCLUDES = -I. -I$(srcdir)
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(texvc_SOURCES)
DIST_SOURCES = $(texvc_SOURCES)
#>- DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
#>+ 1
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) $(KDE_DIST)
ACLOCAL = ${SHELL} /sw/LabPlot-1.6.0.1/admin/missing --run aclocal-1.9
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /sw/LabPlot-1.6.0.1/admin/missing --run tar
AR = ar
ARTSCCONFIG = /opt/kde3/bin/artsc-config
AUDIOFILE_DIR = 
AUDIOFILE_INCFLAGS = 
AUDIOFILE_LDFLAGS = -laudiofile
AUTOCONF = $(SHELL) $(top_srcdir)/admin/cvs.sh configure || touch configure
AUTODIRS = 
AUTOHEADER = ${SHELL} /sw/LabPlot-1.6.0.1/admin/missing --run autoheader
AUTOMAKE = ${SHELL} /sw/LabPlot-1.6.0.1/admin/missing --run automake-1.9
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CDF_INCFLAGS = 
CDF_LDFLAGS = 
CFLAGS =   -Wall
CONF_FILES = 
CPP = gcc -E
CPPFLAGS =  -DQT_THREAD_SUPPORT  -D_REENTRANT
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -Wnon-virtual-dtor -Wno-long-long -Wundef -Wall -W -Wpointer-arith -Wwrite-strings -Wall -Wno-deprecated -fno-check-new -fno-common
CYGPATH_W = echo
DCOPIDL = /opt/kde3/bin/dcopidl
DCOPIDL2CPP = /opt/kde3/bin/dcopidl2cpp
DCOPIDLNG = 
DCOP_DEPENDENCIES = $(DCOPIDL)
DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DLVERSION=\"1.6.0\" -DLVERSION_DATE=\"Dec\ 17,\ 2007\" -DHAVE_STRTOD=1 -DHAVE_LOG2=1 -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_TIFF=1 -DHAVE_GSL=1 -DHAVE_GSL14=1 -DHAVE_GSL16=1 -DHAVE_GSL17=1 -DGSL_DISABLE_DEPRECATED=1 -DHAVE_GSL18=1 -DHAVE_FFTW3=1 -DHAVE_FFTW3_THREADS=1 -DHAVE_JASPER=1 -DHAVE_MAGICK=1 -DHAVE_QSA=1 -DHAVE_QSA_IDE=1 -DHAVE_QSA_FAC=1 -DHAVE_NETCDF=1 -DHAVE_AUDIOFILE=1 -DHAVE_HDF5=1 -DHAVE_GL=1 -DHAVE_R=1 -DHAVE_QHULL=1 -DKDELIBSUFF=\"\" -DHAVE_DLFCN_H=1 -DHAVE_SGI_STL=1 -DHAVE_CRYPT=1 -Dkde_socklen_t=socklen_t -Dksize_t=socklen_t -DHAVE_SYS_TYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_SYS_BITYPES_H=1 -DHAVE_RES_INIT=1 -DHAVE_RES_INIT=1 -DHAVE_RES_INIT_PROTO=1 -DSIZEOF_INT=4 -DSIZEOF_SHORT=2 -DSIZEOF_LONG=4 -DSIZEOF_CHAR_P=4 -DSIZEOF_SIZE_T=4 -DSIZEOF_UNSIGNED_LONG=4 -DHAVE_VSNPRINTF=1 -DHAVE_SNPRINTF=1 -DHAVE_LIBZ=1 -DHAVE_LIBPNG=1 -DHAVE_LIBJPEG=1 -DHAVE_LIBPTHREAD=1 -DSTDC_HEADERS=1 
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
ENABLE_PERMISSIVE_FLAG = -fpermissive
EXEEXT = 
F77 = g77
FFLAGS = -g
FFTW3_LDFLAGS = -lfftw3 -lfftw3_threads -lpthread
FFTW_LDFLAGS = 
FRAMEWORK_COREAUDIO = 
GL_LDFLAGS = -lGL -lGLU
GMSGFMT = /usr/bin/msgfmt
GSL_CFLAGS = -I/usr/local/include
GSL_CONFIG = /usr/local/bin/gsl-config
GSL_LDFLAGS = -lgsl -lgslcblas
GSL_LIBS = -L/usr/local/lib -lgsl -lgslcblas -lm
HDF5_LDFLAGS = -lhdf5
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL} $(INSTALL_STRIP_FLAG)
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
JASPER_LDFLAGS = -ljasper
KCFG_DEPENDENCIES = 
KCONFIG_COMPILER = 
KDECONFIG = /opt/kde3/bin/kde-config
KDE_EXTRA_RPATH = 
KDE_INCLUDES = -I/opt/kde3/include
KDE_LDFLAGS = -L/opt/kde3/lib
KDE_MT_LDFLAGS = 
KDE_MT_LIBS = -lpthread
KDE_NO_UNDEFINED = 
KDE_PLUGIN = -avoid-version -module -no-undefined $(KDE_NO_UNDEFINED) $(KDE_RPATH) $(KDE_MT_LDFLAGS)
KDE_RPATH = -R $(kde_libraries) -R $(qt_libraries) -R $(x_libraries)
KDE_USE_CLOSURE_FALSE = 
KDE_USE_CLOSURE_TRUE = #
KDE_USE_FINAL_FALSE = 
KDE_USE_FINAL_TRUE = #
KDE_USE_NMCHECK_FALSE = 
KDE_USE_NMCHECK_TRUE = #
KDE_XSL_STYLESHEET = /opt/kde3/share/apps/ksgmltools2/customization/kde-chunk.xsl
KEXIDB_INCFLAGS = 
KEXIDB_LDFLAGS = 
LDFLAGS = 
LIBCOMPAT = 
LIBCRYPT = -lcrypt
LIBDL = -ldl
LIBJPEG = -ljpeg
LIBOBJS = 
LIBORIGIN_INCFLAGS = 
LIBORIGIN_LDFLAGS = -lorigin
LIBPNG = -lpng -lz -lm
LIBPTHREAD = -lpthread
LIBRESOLV = -lresolv
LIBS = 
LIBSM = -lSM -lICE
LIBSOCKET = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBUCB = 
LIBUTIL = -lutil
LIBZ = -lz
LIB_KAB = -lkab
LIB_KABC = -lkabc
LIB_KDECORE = -lkdecore
LIB_KDEPIM = -lkdepim
LIB_KDEPRINT = -lkdeprint
LIB_KDEUI = -lkdeui
LIB_KFILE = -lkio
LIB_KFM = 
LIB_KHTML = -lkhtml
LIB_KIO = -lkio
LIB_KPARTS = -lkparts
LIB_KSPELL = -lkspell
LIB_KSYCOCA = -lkio
LIB_KUTILS = -lkutils
LIB_POLL = 
LIB_QPE = 
LIB_QT = -lqt-mt  $(LIBZ) $(LIBPNG) -lXext $(LIB_X11) $(LIBSM) -lpthread
LIB_SMB = -lsmb
LIB_X11 = -lX11 $(LIBSOCKET)
LIB_XEXT = -lXext
LIB_XRENDER = 
LN_S = ln -s
LTLIBOBJS = 
MAGICK = yes
MAGICK_INCFLAGS = `Magick++-config --cppflags`
MAGICK_LDFLAGS = `Magick++-config --ldflags --libs`
MAKEINFO = ${SHELL} /sw/LabPlot-1.6.0.1/admin/missing --run makeinfo
MCOPIDL = /opt/kde3/bin/mcopidl
MEINPROC = /opt/kde3/bin/meinproc
MOC = /usr/lib/qt3/bin/moc
MSGFMT = /usr/bin/msgfmt
NETCDF_DIR = 
NETCDF_INCFLAGS = 
NETCDF_LDFLAGS = -lnetcdf
NOOPT_CFLAGS = -O0
NOOPT_CXXFLAGS = -O0
OBJEXT = o
OCAML = -
PACKAGE = LabPlot-1.6.0
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PERL = /usr/bin/perl
PS2EPS = yes
PS2PDF = yes
PSTOEDIT = yes
QHULL = using system version.
QHULL_DIR = 
QSA_LDFLAGS = -L/usr/lib -lqsa
QTE_NORTTI = 
QT_INCLUDES = -I/usr/lib/qt3/include
QT_LDFLAGS = -L/usr/lib/qt3/lib
QWT3D_DIR = qwtplot3d
QWT3D_INCFLAGS = -I../qwtplot3d/
QWT3D_LDFLAGS = ../qwtplot3d/libLabPlotqwtplot3d.la
RANLIB = ranlib
R_INCFLAGS = -I/usr/local/lib/R/include
R_LDFLAGS = -L/usr/local/lib/R/lib -lR
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
TEXVC = yes
TEXVC_DIR = 
TIFF_LDFLAGS = -ltiff
TOPSUBDIRS =  cephes doc examples src
UIC = /usr/lib/qt3/bin/uic -L $(kde_widgetdir) -nounload
UIC_TR = tr2i18n
USER_INCLUDES = 
USER_LDFLAGS = 
USE_EXCEPTIONS = -fexceptions
USE_RTTI = 
USE_THREADS = 
VERSION = 0
WOVERLOADED_VIRTUAL = 
XGETTEXT = /usr/bin/xgettext
XMLLINT = /usr/bin/xmllint
X_EXTRA_LIBS = 
X_INCLUDES = -I/usr/X11R6/include
X_LDFLAGS = -L/usr/X11R6/lib
X_PRE_LIBS = 
X_RPATH = -R $(x_libraries)
YACC = bison -y
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = 
ac_ct_F77 = g77
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
all_includes = -I/opt/kde3/include -I/usr/lib/qt3/include -I/usr/X11R6/include 
all_libraries = -L/usr/X11R6/lib -L/usr/lib/qt3/lib -L/opt/kde3/lib 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-suse-linux
build_alias = 
build_cpu = i686
build_os = linux
build_vendor = suse
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = i686-suse-linux
host_alias = 
host_cpu = i686
host_os = linux
host_vendor = suse
include_ARTS_FALSE = #
include_ARTS_TRUE = 
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /sw/LabPlot-1.6.0.1/admin/install-sh
kde_appsdir = ${datadir}/applnk
kde_bindir = ${exec_prefix}/bin
kde_confdir = ${datadir}/config
kde_datadir = ${datadir}/apps
kde_htmldir = ${datadir}/doc/HTML
kde_icondir = ${datadir}/icons
kde_includes = /opt/kde3/include
kde_kcfgdir = ${datadir}/config.kcfg
kde_libraries = /opt/kde3/lib
kde_libs_htmldir = /opt/kde3/share/doc/HTML
kde_libs_prefix = /opt/kde3
kde_locale = ${datadir}/locale
kde_mimedir = ${datadir}/mimelnk
kde_moduledir = ${libdir}/kde3
kde_qtver = 3
kde_servicesdir = ${datadir}/services
kde_servicetypesdir = ${datadir}/servicetypes
kde_sounddir = ${datadir}/sounds
kde_styledir = ${libdir}/kde3/plugins/styles
kde_templatesdir = ${datadir}/templates
kde_wallpaperdir = ${datadir}/wallpapers
kde_widgetdir = /opt/kde3/lib/kde3/plugins/designer
kdeinitdir = $(kde_moduledir)
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
prefix = /opt/kde3
program_transform_name = s,x,x,
qt_includes = /usr/lib/qt3/include
qt_libraries = /usr/lib/qt3/lib
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target = i686-suse-linux
target_alias = 
target_cpu = i686
target_os = linux
target_vendor = suse
x_includes = /usr/X11R6/include
x_libraries = /usr/X11R6/lib
xdg_appsdir = ${datadir}/applications/kde
xdg_directorydir = ${datadir}/desktop-directories
xdg_menudir = ${sysconfdir}/xdg/menus
texvc_SOURCES = util.cmx parser.cmx html.cmx mathml.cmx texutil.cmx render.cmx lexer.cmx texvc.cmx
#>- all: all-am
#>+ 1
all: docs-am  all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
#>- 	@for dep in $?; do \
#>- 	  case '$(am__configure_deps)' in \
#>- 	    *$$dep*) \
#>- 	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
#>- 		&& exit 0; \
#>- 	      exit 1;; \
#>- 	  esac; \
#>- 	done; \
#>- 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  texvc/Makefile'; \
#>- 	cd $(top_srcdir) && \
#>- 	  $(AUTOMAKE) --gnu  texvc/Makefile
#>+ 12
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  texvc/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  texvc/Makefile
	cd $(top_srcdir) && perl admin/am_edit texvc/Makefile.in
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \

## labplot 1.6.0.2

=== CMakeLists.txt ===
project (LabPlot)

# The version number.
set (Project_VERSION_MAJOR 2)
set (Project_VERSION_MINOR 0)
set (Project_VERSION_MICRO 0)


INCLUDE(FindX11)
INCLUDE(FindQt3)
INCLUDE(FindKDE3)
INCLUDE(FindImageMagick)

# check for gsl
FIND_LIBRARY(GSL_LIBRARY
  NAMES gsl
  PATHS /lib /usr/lib /usr/local/lib
  DOC "GNU scientific library"
)

IF(GSL_LIBRARY)
MESSAGE ("-- Found GNU Scientific Library : ${GSL_LIBRARY}" )
# doesn't work : 
# SET(HAVE_GSL 1)
add_definitions ('-DHAVE_GSL=1')
# TODO : check version
ENDIF(GSL_LIBRARY)


add_definitions(${QT_DEFINITIONS} ${KDE3_DEFINITIONS})

# /usr/local/include for GSL
INCLUDE_DIRECTORIES( ${QT_INCLUDE_DIR} ${KDE3_INCLUDE_DIR} /usr/local/include src liborigin)

add_subdirectory (cephes)
add_subdirectory (liborigin)
add_subdirectory (src)

## labplot 2.3.0

=== po/CMakeLists.txt ===
add_subdirectory( ast )
add_subdirectory( bs )
add_subdirectory( ca )
add_subdirectory( ca@valencia )
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( en_GB )
add_subdirectory( es )
add_subdirectory( fi )
add_subdirectory( fr )
add_subdirectory( gl )
add_subdirectory( hu )
add_subdirectory( ja )
add_subdirectory( lt )
add_subdirectory( nds )
add_subdirectory( nl )
add_subdirectory( pl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( ru )
add_subdirectory( sk )
add_subdirectory( sv )
add_subdirectory( uk )
add_subdirectory( zh_TW )

=== src/CMakeLists.txt ===
find_package(SharedMimeInfo REQUIRED)
set(KDE_FRONTEND true)
set(KDEFRONTEND_DIR kdefrontend)
set(BACKEND_DIR backend)
set(COMMONFRONTEND_DIR commonfrontend)
set(CANTOR_DIR cantor)
set(TOOLS_DIR tools)
set(CMAKE_AUTOMOC ON)

set(GUI_SOURCES
  	${KDEFRONTEND_DIR}/GuiObserver.cpp
	${KDEFRONTEND_DIR}/GuiTools.cpp
	${KDEFRONTEND_DIR}/HistoryDialog.cpp
	${KDEFRONTEND_DIR}/LabPlot.cpp
  	${KDEFRONTEND_DIR}/MainWin.cpp
	${KDEFRONTEND_DIR}/SettingsDialog.cpp
	${KDEFRONTEND_DIR}/SettingsGeneralPage.cpp
	${KDEFRONTEND_DIR}/SettingsPage.h
	${KDEFRONTEND_DIR}/TemplateHandler.cpp
	${KDEFRONTEND_DIR}/datasources/AsciiOptionsWidget.cpp
	${KDEFRONTEND_DIR}/datasources/BinaryOptionsWidget.cpp
	${KDEFRONTEND_DIR}/datasources/HDFOptionsWidget.cpp
	${KDEFRONTEND_DIR}/datasources/FileInfoDialog.cpp
	${KDEFRONTEND_DIR}/datasources/ImageOptionsWidget.cpp
	${KDEFRONTEND_DIR}/datasources/ImportFileWidget.cpp
	${KDEFRONTEND_DIR}/datasources/ImportFileDialog.cpp
	${KDEFRONTEND_DIR}/datasources/NetCDFOptionsWidget.cpp
	${KDEFRONTEND_DIR}/dockwidgets/AxisDock.cpp
	${KDEFRONTEND_DIR}/dockwidgets/NoteDock.cpp
	${KDEFRONTEND_DIR}/dockwidgets/CartesianPlotDock.cpp
	${KDEFRONTEND_DIR}/dockwidgets/CartesianPlotLegendDock.cpp
	${KDEFRONTEND_DIR}/dockwidgets/CustomPointDock.cpp
	${KDEFRONTEND_DIR}/dockwidgets/ColumnDock.cpp
	${KDEFRONTEND_DIR}/dockwidgets/MatrixDock.cpp
	${KDEFRONTEND_DIR}/dockwidgets/ProjectDock.cpp
	${KDEFRONTEND_DIR}/dockwidgets/SpreadsheetDock.cpp
	${KDEFRONTEND_DIR}/dockwidgets/XYCurveDock.cpp
	${KDEFRONTEND_DIR}/dockwidgets/XYEquationCurveDock.cpp
	${KDEFRONTEND_DIR}/dockwidgets/XYInterpolationCurveDock.cpp
	${KDEFRONTEND_DIR}/dockwidgets/XYSmoothCurveDock.cpp
	${KDEFRONTEND_DIR}/dockwidgets/XYFitCurveDock.cpp
	${KDEFRONTEND_DIR}/dockwidgets/XYFourierFilterCurveDock.cpp
	${KDEFRONTEND_DIR}/dockwidgets/XYFourierTransformCurveDock.cpp
	${KDEFRONTEND_DIR}/dockwidgets/WorksheetDock.cpp
	${KDEFRONTEND_DIR}/matrix/MatrixFunctionDialog.cpp
	${KDEFRONTEND_DIR}/spreadsheet/EquidistantValuesDialog.cpp
	${KDEFRONTEND_DIR}/spreadsheet/ExportSpreadsheetDialog.cpp
	${KDEFRONTEND_DIR}/spreadsheet/DropValuesDialog.cpp
	${KDEFRONTEND_DIR}/spreadsheet/FunctionValuesDialog.cpp
	${KDEFRONTEND_DIR}/spreadsheet/RandomValuesDialog.cpp
	${KDEFRONTEND_DIR}/spreadsheet/SortDialog.cpp
	${KDEFRONTEND_DIR}/spreadsheet/StatisticsDialog.cpp
	${KDEFRONTEND_DIR}/worksheet/ExportWorksheetDialog.cpp
	${KDEFRONTEND_DIR}/worksheet/GridDialog.cpp
	${KDEFRONTEND_DIR}/widgets/ConstantsWidget.cpp
	${KDEFRONTEND_DIR}/widgets/ExpressionTextEdit.cpp
	${KDEFRONTEND_DIR}/widgets/FitOptionsWidget.cpp
	${KDEFRONTEND_DIR}/widgets/FitParametersWidget.cpp
	${KDEFRONTEND_DIR}/widgets/FunctionsWidget.cpp
	${KDEFRONTEND_DIR}/widgets/LabelWidget.cpp
	${KDEFRONTEND_DIR}/widgets/DatapickerImageWidget.cpp
	${KDEFRONTEND_DIR}/widgets/DatapickerCurveWidget.cpp
)

set(UI_SOURCES
	${KDEFRONTEND_DIR}/ui/constantswidget.ui
	${KDEFRONTEND_DIR}/ui/functionswidget.ui
	${KDEFRONTEND_DIR}/ui/fitoptionswidget.ui
	${KDEFRONTEND_DIR}/ui/fitparameterswidget.ui
	${KDEFRONTEND_DIR}/ui/labelwidget.ui
	${KDEFRONTEND_DIR}/ui/settingsgeneralpage.ui
	${KDEFRONTEND_DIR}/ui/settingsprintingpage.ui
	${KDEFRONTEND_DIR}/ui/datasources/asciioptionswidget.ui
	${KDEFRONTEND_DIR}/ui/datasources/binaryoptionswidget.ui
	${KDEFRONTEND_DIR}/ui/datasources/hdfoptionswidget.ui
	${KDEFRONTEND_DIR}/ui/datasources/imageoptionswidget.ui
	${KDEFRONTEND_DIR}/ui/datasources/importfilewidget.ui
	${KDEFRONTEND_DIR}/ui/datasources/netcdfoptionswidget.ui
	${KDEFRONTEND_DIR}/ui/dockwidgets/axisdock.ui
	${KDEFRONTEND_DIR}/ui/dockwidgets/cartesianplotdock.ui
	${KDEFRONTEND_DIR}/ui/dockwidgets/cartesianplotlegenddock.ui
	${KDEFRONTEND_DIR}/ui/dockwidgets/columndock.ui
	${KDEFRONTEND_DIR}/ui/dockwidgets/custompointdock.ui
	${KDEFRONTEND_DIR}/ui/dockwidgets/notedock.ui
	${KDEFRONTEND_DIR}/ui/dockwidgets/matrixdock.ui
	${KDEFRONTEND_DIR}/ui/dockwidgets/projectdock.ui
	${KDEFRONTEND_DIR}/ui/dockwidgets/spreadsheetdock.ui
	${KDEFRONTEND_DIR}/ui/dockwidgets/xycurvedock.ui
	${KDEFRONTEND_DIR}/ui/dockwidgets/xycurvedockgeneraltab.ui
	${KDEFRONTEND_DIR}/ui/dockwidgets/xyinterpolationcurvedockgeneraltab.ui
	${KDEFRONTEND_DIR}/ui/dockwidgets/xysmoothcurvedockgeneraltab.ui
	${KDEFRONTEND_DIR}/ui/dockwidgets/xyfitcurvedockgeneraltab.ui
	${KDEFRONTEND_DIR}/ui/dockwidgets/xyfourierfiltercurvedockgeneraltab.ui
	${KDEFRONTEND_DIR}/ui/dockwidgets/xyfouriertransformcurvedockgeneraltab.ui
	${KDEFRONTEND_DIR}/ui/dockwidgets/xyequationcurvedockgeneraltab.ui
	${KDEFRONTEND_DIR}/ui/dockwidgets/worksheetdock.ui
	${KDEFRONTEND_DIR}/ui/matrix/matrixfunctionwidget.ui
	${KDEFRONTEND_DIR}/ui/spreadsheet/equidistantvalueswidget.ui
	${KDEFRONTEND_DIR}/ui/spreadsheet/exportspreadsheetwidget.ui
	${KDEFRONTEND_DIR}/ui/spreadsheet/dropvalueswidget.ui
	${KDEFRONTEND_DIR}/ui/spreadsheet/functionvalueswidget.ui
	${KDEFRONTEND_DIR}/ui/spreadsheet/randomvalueswidget.ui
	${KDEFRONTEND_DIR}/ui/worksheet/exportworksheetwidget.ui
	${KDEFRONTEND_DIR}/ui/datapickerimagewidget.ui
	${KDEFRONTEND_DIR}/ui/datapickercurvewidget.ui
)

set(BACKEND_SOURCES
	${BACKEND_DIR}/core/Folder.cpp
	${BACKEND_DIR}/core/AbstractAspect.cpp
	${BACKEND_DIR}/core/AspectPrivate.cpp
	${BACKEND_DIR}/core/AbstractColumn.cpp
	${BACKEND_DIR}/core/AbstractColumnPrivate.cpp
	${BACKEND_DIR}/core/abstractcolumncommands.cpp
	${BACKEND_DIR}/core/AbstractFilter.cpp
	${BACKEND_DIR}/core/AbstractSimpleFilter.cpp
	${BACKEND_DIR}/core/column/Column.cpp
	${BACKEND_DIR}/core/column/ColumnPrivate.cpp
	${BACKEND_DIR}/core/column/columncommands.cpp
	${BACKEND_DIR}/core/AbstractScriptingEngine.cpp
	${BACKEND_DIR}/core/AbstractScript.cpp
	${BACKEND_DIR}/core/ScriptingEngineManager.cpp
	${BACKEND_DIR}/core/Project.cpp
	${BACKEND_DIR}/core/AbstractPart.cpp
	${BACKEND_DIR}/core/Workbook.cpp
	${BACKEND_DIR}/core/AspectTreeModel.cpp
	${BACKEND_DIR}/core/datatypes/DateTime2DoubleFilter.h
	${BACKEND_DIR}/core/datatypes/DayOfWeek2DoubleFilter.h
	${BACKEND_DIR}/core/datatypes/Double2DateTimeFilter.h
	${BACKEND_DIR}/core/datatypes/Double2DayOfWeekFilter.h
	${BACKEND_DIR}/core/datatypes/Double2MonthFilter.h
	${BACKEND_DIR}/core/datatypes/Month2DoubleFilter.h
	${BACKEND_DIR}/core/datatypes/SimpleCopyThroughFilter.h
	${BACKEND_DIR}/core/datatypes/String2DayOfWeekFilter.h
	${BACKEND_DIR}/core/datatypes/String2DoubleFilter.h
	${BACKEND_DIR}/core/datatypes/String2MonthFilter.h
	${BACKEND_DIR}/core/datatypes/DateTime2StringFilter.cpp
	${BACKEND_DIR}/core/datatypes/String2DateTimeFilter.cpp
	${BACKEND_DIR}/core/datatypes/Double2StringFilter.cpp
	${BACKEND_DIR}/core/plugin/PluginLoader.cpp
	${BACKEND_DIR}/core/plugin/PluginManager.cpp
	${BACKEND_DIR}/datasources/AbstractDataSource.cpp
	${BACKEND_DIR}/datasources/FileDataSource.cpp
	${BACKEND_DIR}/datasources/filters/AbstractFileFilter.cpp
	${BACKEND_DIR}/datasources/filters/AsciiFilter.cpp
	${BACKEND_DIR}/datasources/filters/BinaryFilter.cpp
	${BACKEND_DIR}/datasources/filters/HDFFilter.cpp
	${BACKEND_DIR}/datasources/filters/ImageFilter.cpp
	${BACKEND_DIR}/datasources/filters/NetCDFFilter.cpp
	${BACKEND_DIR}/gsl/ExpressionParser.cpp
 	${BACKEND_DIR}/gsl/parser.tab.c
	${BACKEND_DIR}/matrix/Matrix.cpp
	${BACKEND_DIR}/matrix/matrixcommands.cpp
	${BACKEND_DIR}/matrix/MatrixModel.cpp
 	${BACKEND_DIR}/nsl/nsl_dft.c
	${BACKEND_DIR}/nsl/nsl_filter.c
 	${BACKEND_DIR}/nsl/nsl_interp.c
 	${BACKEND_DIR}/nsl/nsl_sf_kernel.c
 	${BACKEND_DIR}/nsl/nsl_sf_poly.c
 	${BACKEND_DIR}/nsl/nsl_sf_window.c
 	${BACKEND_DIR}/nsl/nsl_smooth.c
 	${BACKEND_DIR}/nsl/nsl_stats.c
	${BACKEND_DIR}/spreadsheet/Spreadsheet.cpp
	${BACKEND_DIR}/spreadsheet/SpreadsheetModel.cpp
	${BACKEND_DIR}/lib/XmlStreamReader.cpp
	${BACKEND_DIR}/note/Note.cpp
	${BACKEND_DIR}/worksheet/WorksheetElement.cpp
	${BACKEND_DIR}/worksheet/TextLabel.cpp
	${BACKEND_DIR}/worksheet/Worksheet.cpp
	${BACKEND_DIR}/worksheet/WorksheetElementContainer.cpp
	${BACKEND_DIR}/worksheet/WorksheetElementGroup.cpp
	${BACKEND_DIR}/worksheet/plots/AbstractPlot.cpp
	${BACKEND_DIR}/worksheet/plots/AbstractCoordinateSystem.cpp
	${BACKEND_DIR}/worksheet/plots/PlotArea.cpp
	${BACKEND_DIR}/worksheet/plots/cartesian/Axis.cpp
	${BACKEND_DIR}/worksheet/plots/cartesian/CartesianCoordinateSystem.cpp
	${BACKEND_DIR}/worksheet/plots/cartesian/CartesianPlot.cpp
	${BACKEND_DIR}/worksheet/plots/cartesian/CartesianPlotLegend.cpp
	${BACKEND_DIR}/worksheet/plots/cartesian/CustomPoint.cpp
	${BACKEND_DIR}/worksheet/plots/cartesian/Symbol.cpp
	${BACKEND_DIR}/worksheet/plots/cartesian/XYCurve.cpp
	${BACKEND_DIR}/worksheet/plots/cartesian/XYEquationCurve.cpp
	${BACKEND_DIR}/worksheet/plots/cartesian/XYInterpolationCurve.cpp
	${BACKEND_DIR}/worksheet/plots/cartesian/XYSmoothCurve.cpp
	${BACKEND_DIR}/worksheet/plots/cartesian/XYFitCurve.cpp
	${BACKEND_DIR}/worksheet/plots/cartesian/XYFourierFilterCurve.cpp
	${BACKEND_DIR}/worksheet/plots/cartesian/XYFourierTransformCurve.cpp
	${BACKEND_DIR}/lib/SignallingUndoCommand.cpp
        ${BACKEND_DIR}/datapicker/DatapickerPoint.cpp
        ${BACKEND_DIR}/datapicker/DatapickerImage.cpp
	${BACKEND_DIR}/datapicker/Datapicker.cpp
	${BACKEND_DIR}/datapicker/Transform.cpp
        ${BACKEND_DIR}/datapicker/ImageEditor.cpp
       	${BACKEND_DIR}/datapicker/Segment.cpp
        ${BACKEND_DIR}/datapicker/Segments.cpp
        ${BACKEND_DIR}/datapicker/DatapickerCurve.cpp
)

set(COMMONFRONTEND_SOURCES
	${COMMONFRONTEND_DIR}/matrix/MatrixView.cpp
	${COMMONFRONTEND_DIR}/note/NoteView.cpp
	${COMMONFRONTEND_DIR}/spreadsheet/SpreadsheetCommentsHeaderModel.cpp
	${COMMONFRONTEND_DIR}/spreadsheet/SpreadsheetHeaderView.cpp
	${COMMONFRONTEND_DIR}/spreadsheet/SpreadsheetItemDelegate.cpp
	${COMMONFRONTEND_DIR}/spreadsheet/SpreadsheetView.cpp
	${COMMONFRONTEND_DIR}/workbook/WorkbookView.cpp
	${COMMONFRONTEND_DIR}/worksheet/WorksheetView.cpp
	${COMMONFRONTEND_DIR}/ProjectExplorer.cpp
	${COMMONFRONTEND_DIR}/core/PartMdiView.cpp
	${COMMONFRONTEND_DIR}/widgets/TreeViewComboBox.cpp
	${COMMONFRONTEND_DIR}/widgets/qxtspanslider.cpp
	${COMMONFRONTEND_DIR}/datapicker/DatapickerView.cpp
        ${COMMONFRONTEND_DIR}/datapicker/DatapickerImageView.cpp
)

IF (${CANTOR_LIBS_FOUND})
	set(CANTOR_SOURCES
		${KDEFRONTEND_DIR}/dockwidgets/CantorWorksheetDock.cpp
		${BACKEND_DIR}/cantorWorksheet/VariableParser.cpp
		${BACKEND_DIR}/cantorWorksheet/CantorWorksheet.cpp
		${COMMONFRONTEND_DIR}/cantorWorksheet/CantorWorksheetView.cpp
	)
	set(CANTOR_UI_SOURCES ${KDEFRONTEND_DIR}/ui/dockwidgets/cantorworksheetdock.ui)
	set(UI_SOURCES ${UI_SOURCES} ${CANTOR_UI_SOURCES})
ELSE (${CANTOR_LIBS_FOUND})
	set(CANTOR_SOURCES "")
ENDIF (${CANTOR_LIBS_FOUND})

set(TOOLS_SOURCES
	${TOOLS_DIR}/TeXRenderer.cpp
	${TOOLS_DIR}/EquationHighlighter.cpp
)

add_subdirectory( pics )
add_subdirectory( pics/gsl_distributions )
add_subdirectory( pics/colorchooser )

##############################################################################
# set(LABPLOT_SRCS ${GUI_SOURCES} ${PLOTS_SOURCES} parser/parser.tab.c)
set(LABPLOT_SRCS ${GUI_SOURCES} ${PLOTS_SOURCES})
INCLUDE_DIRECTORIES(. ${GSL_INCLUDE_DIR} ${GSL_INCLUDEDIR}/..)
qt5_wrap_ui(LABPLOT_SRCS ${UI_SOURCES})
add_executable(labplot2 ${LABPLOT_SRCS} ${BACKEND_SOURCES} ${CANTOR_SOURCES} ${DATASOURCES_SOURCES} ${COMMONFRONTEND_SOURCES} ${TOOLS_SOURCES} ${QTMOC_HDRS})
target_link_libraries(labplot2 KF5::KDELibs4Support KF5::Archive KF5::XmlGui Qt5::Svg ${GSL_LIBRARIES} ${GSL_CBLAS_LIBRARIES} ${CANTOR_LIBS} ${HDF5_LIBRARY} ${NETCDF_LIBRARY} ${FFTW_LIBRARIES})
# ${OPJ_LIBRARY}

############## installation ################################

install(TARGETS labplot2 DESTINATION ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES ${KDEFRONTEND_DIR}/labplot2ui.rc DESTINATION  ${KXMLGUI_INSTALL_DIR}/${PROJECT_NAME})
install(FILES ${KDEFRONTEND_DIR}/labplot2ui.rc ${KDEFRONTEND_DIR}/splash.png ${KDEFRONTEND_DIR}/labplot2.ico DESTINATION  ${DATA_INSTALL_DIR}/${PROJECT_NAME})
install(PROGRAMS labplot2.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES labplot2.xml DESTINATION ${XDG_MIME_INSTALL_DIR} )

=== doc-translations/es_labplot2/labplot2/CMakeLists.txt ===
KDOCTOOLS_CREATE_HANDBOOK( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/es/ SUBDIR labplot2)

=== src/backend/nsl/Makefile ===
all: nsl_stats_test nsl_smooth_ma_test nsl_smooth_mal_test nsl_smooth_percentile_test nsl_smooth_savgol_test nsl_dft_test nsl_dft_test_fftw nsl_sf_window_test nsl_filter_test nsl_filter_test_fftw

nsl_stats_test: nsl_stats_test.c nsl_stats.c
	gcc -o $@ $^ -lm -lgsl -lgslcblas

nsl_smooth_ma_test: nsl_smooth_ma_test.c nsl_smooth.c nsl_sf_kernel.c nsl_stats.c
	gcc -o $@ $^ -lm -lgsl -lgslcblas
nsl_smooth_mal_test: nsl_smooth_mal_test.c nsl_smooth.c nsl_sf_kernel.c nsl_stats.c
	gcc -o $@ $^ -lm -lgsl -lgslcblas
nsl_smooth_percentile_test: nsl_smooth_percentile_test.c nsl_smooth.c nsl_sf_kernel.c nsl_stats.c
	gcc -o $@ $^ -lm -lgsl -lgslcblas
nsl_smooth_savgol_test: nsl_smooth_savgol_test.c nsl_smooth.c nsl_sf_kernel.c nsl_stats.c
	gcc -o $@ $^ -lm -lgsl -lgslcblas
nsl_dft_test: nsl_dft_test.c nsl_dft.c nsl_sf_window.c
	gcc -o $@ $^ -lm -lgsl -lgslcblas
nsl_dft_test_fftw: nsl_dft_test.c nsl_dft.c nsl_sf_window.c
	gcc -o $@ $^ -lm -DHAVE_FFTW3 -lfftw3 -lgsl -lgslcblas
nsl_sf_window_test: nsl_sf_window_test.c nsl_sf_window.c
	gcc -o $@ $^ -lm -lgsl -lgslcblas
nsl_filter_test: nsl_filter_test.c nsl_filter.c nsl_sf_poly.c
	gcc -o $@ $^ -lm -lgsl -lgslcblas
nsl_filter_test_fftw: nsl_filter_test.c nsl_filter.c nsl_sf_poly.c
	gcc -o $@ $^ -lm -DHAVE_FFTW3 -lfftw3 -lgsl -lgslcblas

clean:
	rm -f nsl_stats_test nsl_smooth_ma_test nsl_smooth_mal_test nsl_smooth_percentile_test nsl_smooth_savgol_test nsl_dft_test nsl_dft_test_fftw nsl_sf_window_test nsl_filter_test nsl_filter_test_fftw

=== debian/changelog ===
labplot (2.3.0-2) unstable; urgency=medium

  * Backport upstream commit 3b69133fcf5a62f46d33a1e3adc8e44c854517d7 to fix
    the HDF5 detection on architecture different than amd64; patch
    upstream_cmake-do-not-hardcode-libdir-for-hdf5.patch.
  * Add the libhdf5-dev build dependency, explicit and which should now work
    fine on any architecture.
  * Replace the deprecated kio-dev build dependency with libkf5kio-dev.

 -- Pino Toscano <pino@debian.org>  Sun, 02 Oct 2016 12:18:23 +0200

labplot (2.3.0-1) unstable; urgency=medium

  * New upstream release:
    - fix build with newer libstdc++ (Closes: #830454)
  * Update Vcs-* fields.
  * Update the patches:
    - upstream_Include-cmath-for-std-isfinite.patch: drop, backported from
      upstream
  * Add the libfftw3-dev build dependency, used by the new version.
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Tue, 26 Jul 2016 07:27:31 +0200

labplot (2.2.0-1) unstable; urgency=medium

  * Re-add back to Debian.
  * Backport upstream commit e3b55c7f8ff492e2db27794af53a8ad36fcc3c79 to fix
    build; patch upstream_Include-cmath-for-std-isfinite.patch.

 -- Pino Toscano <pino@debian.org>  Sat, 21 May 2016 07:51:45 +0200

=== debian/control ===
Source: labplot
Section: math
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: debhelper (>= 9),
 cmake (>= 2.8.12),
 pkg-kde-tools (>= 0.15.16),
 qtbase5-dev (>= 5.4.0),
 libqt5svg5-dev,
 extra-cmake-modules (>= 1.3.0),
 libkf5archive-dev,
 libkf5kdelibs4support-dev,
 libkf5i18n-dev,
 libkf5kio-dev,
 libkf5widgetsaddons-dev,
 libkf5xmlgui-dev,
 libgsl-dev,
 libnetcdf-dev,
 libfftw3-dev,
 libhdf5-dev,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-extras/labplot.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/labplot.git
Homepage: https://edu.kde.org/applications/science/labplot/

Package: labplot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 labplot-data (= ${source:Version}),
Description: interactive graphing and analysis of scientific data
 LabPlot provides an easy way to create, manage and edit plots.  It allows you
 to produce plots based on data from a spreadsheet or on data imported from
 external files.  Plots can be exported to several pixmap and vector graphic
 formats.
 .
 Features include:
  - project-based management of data
  - project explorer for management and organization of created objects in
    different folders and sub-folders
  - spreadsheet with basic functionality for manual data entry or for
    generation of uniform and non-uniform random numbers
  - import of external ASCII data into the project for further editing and
    visualization
  - export of spreadsheet to an ASCII file
  - worksheet as the main parent object for plots, labels, etc; supports
    different layouts and zooming functions
  - export of worksheet to different formats (PDF, EPS, PNG, and SVG)
  - great variety of editing capabilities for properties of worksheet and its
    objects
  - cartesian plots, created either from imported or manually created data
    sets or via mathematical equation
  - definition of mathematical formulas is supported by syntax highlighting
    and completion and by the list of thematically grouped mathematical and
    physical constants and functions
  - analysis of plotted data is supported by many zooming and navigation
    features
  - linear and non-linear fits to data, several fit-models are predefined and
    custom models with arbitrary number of parameters can be provided

Package: labplot-data
Architecture: all
Depends: ${misc:Depends}
Description: data files for labplot
 LabPlot provides an easy way to create, manage and edit plots.  It allows you
 to produce plots based on data from a spreadsheet or on data imported from
 external files.  Plots can be exported to several pixmap and vector graphic
 formats.
 .
 This contains the data files for labplot.

=== debian/watch ===
version=3
http://download.kde.org/stable/labplot/([\d.]+)/labplot-([\d.]+)-kf5\.tar\.xz
